= form_for @basic_need_detail do |f|
  - if @basic_need_detail.errors.any?
    #error_explanation
      %h2= "#{pluralize(@basic_need_detail.errors.count, "error")} prohibited this basic_need_detail from being saved:"
      %ul
        - @basic_need_detail.errors.full_messages.each do |msg|
          %li= msg

  .field
    = f.label :light
    = f.text_field :light
  .field
    = f.label :toilet_facility
    = f.text_field :toilet_facility
  .field
    = f.label :health_card
    = f.text_field :health_card
  .field
    = f.label :pds_card
    = f.text_field :pds_card
  .field
    = f.label :work_nrgea
    = f.text_field :work_nrgea
  .field
    = f.label :no_of_persons
    = f.number_field :no_of_persons
  .field
    = f.label :no_of_days
    = f.number_field :no_of_days
  .field
    = f.label :hours_of_electricity
    = f.number_field :hours_of_electricity
  .field
    = f.label :farmer_id
    = f.number_field :farmer_id
  .field
    = f.label :user_id
    = f.number_field :user_id
  .actions
    = f.submit 'Save'
